package de.intevation.flys.artifacts.states.minfo;

import org.apache.log4j.Logger;
import org.w3c.dom.Element;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.common.utils.XMLUtils;
import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.resources.Resources;
import de.intevation.flys.artifacts.states.DefaultState;


public class SedimentLoadUnit
extends DefaultState
{
   /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(SedimentLoadUnit.class);


    /**
     * The default constructor that initializes an empty State object.
     */
    public SedimentLoadUnit() {
    }

    @Override
    protected String getUIProvider() {
        return "minfo.sedimentload_unit_select";
    }

    @Override
    protected Element[] createItems(
        XMLUtils.ElementCreator ec,
        Artifact                artifact,
        String                  name,
        CallContext             context)
    {
        CallMeta meta = context.getMeta();
        Element[] elements = new Element[2];
        elements[0] = createItem(
                ec,
                new String[] {
                    Resources.getMsg(meta,
                        "state.minfo.t_per_a",
                        "state.minfo.t_per_a"),
                    "t_per_a"});

        elements[1] = createItem(
            ec,
            new String[] {
                Resources.getMsg(meta,
                    "state.minfo.m3_per_a",
                    "state.minfo.m3_per_a"),
                "m3_per_a"});

       return elements;
    }
}
